It's all about the answers!

Ask a question

Extending newer versions of RTC


Kristof Van Sever (11812) | asked Nov 08 '13, 9:36 a.m.

Hi guys,

I have been running the extending RTC workshop (https://jazz.net/library/content/articles/rtc/4.0/extensions-workshop/downloads/RTC40ExtPoT.pdf) but using a CLM4.0.3 installations. Unfortunately I can not use the repotools to enter the database files because the workshop is apparently made for 4.0.0. What would you recommend I'd look at instead to extend CLM4.0.3 or CLM4.0.4?

Thanks,

Kristof

Accepted answer


permanent link
Ralph Schoon (63.2k33646) | answered Nov 10 '13, 5:44 a.m.
FORUM ADMINISTRATOR / FORUM MODERATOR / JAZZ DEVELOPER
edited Nov 10 '13, 5:45 a.m.
 Kristoph, if you want to run the workshop with never versions, you have to upgrade from 4.0. If you are only interested in setting up the SDK, follow https://rsjazz.wordpress.com/2013/02/28/setting-up-rational-team-concert-for-api-development/ . You basically skip the repo imports, set up the SDK and you can import your custom extensions from an existing workspace. 

I have created an update on the workshop that let's you run it with any version. I am waiting for legal approval to bring it online though.

There are also some instructions in the comments of the workshop for how others have done it.
Kristof Van Sever selected this answer as the correct answer

Comments
Kristof Van Sever commented Nov 10 '13, 6:29 a.m.

 Hi Ralph,


I assume you mean that when following the current workshop, I'd have to follow the tutorial, then upgrade it. Right now I'm mostly interested in setting up a generic lab environment to create, test and debug custom providers and .participants.

Any idea when you'd get the (dis)approval?

Thanks,

Kristof


sam detweiler commented Nov 10 '13, 9:15 a.m. | edited Nov 10 '13, 9:16 a.m.

once you use the workshop once, you should never need it again.

it teaches you how to setup the SDK, create plugin projects, do debug, ...



Ralph Schoon commented Nov 10 '13, 11:24 a.m.
FORUM ADMINISTRATOR / FORUM MODERATOR / JAZZ DEVELOPER

Kristof, as Sam mentions, the key is to setup the SDK. You can skip setting up the workshop repository. I tried to describe it in the blog post I mentioned.


Ralph Schoon commented Nov 10 '13, 5:00 p.m.
FORUM ADMINISTRATOR / FORUM MODERATOR / JAZZ DEVELOPER

Approval is going slow. I have the stuff ready for more than a month. Legal is overloaded. Sorry.

Your answer


Register or to post your answer.


Dashboards and work items are no longer publicly available, so some links may be invalid. We now provide similar information through other means. Learn more here.